import request from '@/utils/request'

// 查询清算基本信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrLiquidationBasicInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询清算基本信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrLiquidationBasicInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增清算基本信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrLiquidationBasicInfo',
    method: 'post',
    data: data
  })
}

// 修改清算基本信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrLiquidationBasicInfo',
    method: 'put',
    data: data
  })
}

// 删除清算基本信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrLiquidationBasicInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrLiquidationBasicInfo/delete',ids)
}
